import { BrowserWindow } from "electron";
declare const STATIC_PREFIX = "http://localhost:5471/";
declare class ElectronReplayApp {
    pluginPath: string;
    appPath: string;
    projPath: string;
    staticContentPath: string;
    profileName: string;
    proxyColl: string | null;
    proxyTS: string | null;
    mainWindow: BrowserWindow | null;
    openNextFile: string | null;
    screenSize: {
        width: number;
        height: number;
    };
    origUA: string | null;
    constructor({ staticPath, profileName }?: {
        staticPath?: string | undefined;
        profileName?: string | undefined;
    });
    get mainWindowWebPreferences(): {
        plugins: boolean;
        preload: string;
        nativeWindowOpen: boolean;
        contextIsolation: boolean;
        enableRemoteModule: boolean;
        sandbox: boolean;
        nodeIntegration: boolean;
    };
    get mainWindowUrl(): string;
    init(): void;
    checkUpdates(): void;
    onAppReady(): void;
    doHandleFile(request: Request): Promise<Response>;
    doIntercept(request: Request): Promise<Response>;
    proxyLive(request: Request): Promise<Response>;
    notFound(url: string): Response;
    resolveArchiveResponse(request: Request, urlOverride?: string): Promise<Response>;
    parseRange(reqHeaders: Headers, headers: Headers, size: number): {
        status: number;
        start?: undefined;
        end?: undefined;
    } | {
        status: number;
        start: number;
        end: number;
    };
    createMainWindow(argv: string[]): BrowserWindow;
    getOpenUrl(argv: string[]): string;
}
export { ElectronReplayApp, STATIC_PREFIX };
//# sourceMappingURL=electron-replay-app.d.ts.map